Overview | Package | Class | Tree | Deprecated | Index | Help
| SSJ V. 2.1.1.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.hups
Class BakerTransformedPointSet

    java.lang.Object
      umontreal.iro.lecuyer.hups.PointSet
          umontreal.iro.lecuyer.hups.ContainerPointSet
              umontreal.iro.lecuyer.hups.BakerTransformedPointSet

    public class BakerTransformedPointSet

extends ContainerPointSet

This container class embodies a point set to which a Baker transformation is applied. It transforms each coordinate u into 2u if u <= 1/2 and 2(1 - u) if u > 1/2.

Constructor Summary
`BakerTransformedPointSet(PointSet P)` Constructs a Baker-transformed point set from the given point set `P`.

Method Summary
`String` | `formatPoints()` Same as invoking `formatPoints` with n and d equal to the number of points and the dimension, respectively.
`double` | `getCoordinate(int i, int j)` Returns ui, j, the coordinate j of the point i.
`PointSetIterator` | `iterator()` Constructs and returns a point set iterator.
`String` | `toString()` Formats a string that contains the information about the point set.

Methods inherited from class umontreal.iro.lecuyer.hups.ContainerPointSet
`addRandomShift, addRandomShift, clearRandomShift, getDimension, getNumPoints, randomize`

Methods inherited from class umontreal.iro.lecuyer.hups.PointSet
`addRandomShift, addRandomShift, formatPoints, getStream, randomize, randomize, randomize, randomize, setStream, unrandomize`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BakerTransformedPointSet

    public BakerTransformedPointSet(PointSet P)

  Constructs a Baker-transformed point set from the given point set `P`.

  Parameters:
    `P` - point set for which we want a Baker-transfomed version

Method Detail

### getCoordinate

    public double getCoordinate(int i,
                                int j)

  Description copied from class: `PointSet`
  Returns ui, j, the coordinate j of the point i.

  Overrides:
    `getCoordinate` in class `ContainerPointSet`
  Parameters:
    `i` - index of the point to look for
    `j` - index of the coordinate to look for
  Returns:
    the value of ui, j

### iterator

    public PointSetIterator iterator()

  Description copied from class: `PointSet`
  Constructs and returns a point set iterator. The default implementation returns an iterator that uses the method `getCoordinate` `(i,j)` to iterate over the points and coordinates, but subclasses can reimplement it for better efficiency.

  Overrides:
    `iterator` in class `ContainerPointSet`
  Returns:
    point set iterator for the point set

### toString

    public String toString()

  Description copied from class: `PointSet`
  Formats a string that contains the information about the point set.

  Overrides:
    `toString` in class `ContainerPointSet`
  Returns:
    string representation of the point set information

### formatPoints

    public String formatPoints()

  Description copied from class: `PointSet`
  Same as invoking `formatPoints` with n and d equal to the number of points and the dimension, respectively.

  Overrides:
    `formatPoints` in class `ContainerPointSet`
  Returns:
    string representation of all the points in the point set

Overview | Package | Class | Tree | Deprecated | Index | Help
| SSJ V. 2.1.1.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Pierre L'Ecuyer.